/***************************************************************************
 *                                                                         *
 *   LB - The Little Budget Utility for GnuCash                            *
 *                                                                         *
 *   Copyright (C) 2004,2005 by Gabriel M. Beddingfield                    *
 *   gabriel@teuton.org                                                    *
 *                                                                         *
 *   "For of him [God], and through him, and unto him, are all things.     *
 *   To him be the glory for ever. Amen." (Romans 11:36)                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


/* main.cpp
   Gabriel M. Beddingfield
   02OCT2004

   For merging a gnucash report
   with a published budget.
*/

#include <iostream>
#include "lb.h"

using std::cout;
using std::endl;
using std::cerr;

#ifndef VERSION
#define VERSION "0.1.0"
#endif


int main( int argc, const char* argv[] )
{
	try {
		lb app(argc,argv);

		return app.run();
	} catch (lb_error e) {
		cerr << e.what() << endl;
		return EXIT_FAILURE;
	} catch (runtime_error e) {
		cerr << e.what() << endl;
		return EXIT_FAILURE;
	} catch (...) {
		cerr << "Unhandled exception in lb." << endl;
		return EXIT_FAILURE;
	}
}
